# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Math-SMA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: SMA in object form
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ES/ESAYM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Implements a simple moving average of N periods with an amortized runtime complexity of < O(n-B).

http://en.wikipedia.org/wiki/Moving_average
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes
%perl_vendor_privlib/M*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

